STOFFCell Class Reference documentation

Classes | Public Types | Public Member Functions | Static Public Member Functions | Protected Attributes | Friends | List of all members
STOFFCell Class Reference

a structure used to define a cell and its format More...

`#include <STOFFCell.hxx>`

Inheritance diagram for STOFFCell:

## Classes
struct | Format
| a structure uses to define the format of a cell content More...

## Public Types
enum | FormatType { F_TEXT, F_BOOLEAN, F_NUMBER, F_DATE, F_TIME, F_DATETIME, F_UNKNOWN }
| the different format of a cell's content More...
enum | NumberType { F_NUMBER_CURRENCY, F_NUMBER_DECIMAL, F_NUMBER_FRACTION, F_NUMBER_GENERIC, F_NUMBER_SCIENTIFIC, F_NUMBER_PERCENT, F_NUMBER_UNKNOWN }
| the different number format of a cell's content More...

## Public Member Functions
| STOFFCell ()
| constructor More...
virtual | ~STOFFCell ()
| destructor More...
void | addTo (librevenge::RVNGPropertyList &propList) const
| adds to the propList More...
virtual bool | send (STOFFListenerPtr listener, STOFFTable &table)
| function called when a cell is send by STOFFTable to send a cell to a listener. More...
virtual bool | sendContent (STOFFListenerPtr listener, STOFFTable &table)
| function called when the content of a cell must be send to the listener, ie. More...
STOFFVec2i const & | position () const
| position accessor More...
void | setPosition (STOFFVec2i posi)
| set the cell positions : 0,0 -> A1, 0,1 -> A2 More...
STOFFBox2f const & | bdBox () const
| bdbox accessor More...
void | setBdBox (STOFFBox2f box)
| set the bdbox (unit point) More...
STOFFVec2f const & | bdSize () const
| bdbox size accessor More...
void | setBdSize (STOFFVec2f sz)
| set the bdbox size(unit point) More...
Format const & | getFormat () const
| returns the cell format More...
void | setFormat (Format const &format)
| set the cell format More...
STOFFFont const & | getFont () const
| returns the font More...
void | setFont (STOFFFont const &font)
| set the font More...
STOFFCellStyle const & | getCellStyle () const
| returns the cell style More...
STOFFCellStyle & | getCellStyle ()
| returns the cell style More...
void | setCellStyle (STOFFCellStyle const &cellStyle)
| set the cell style More...
librevenge::RVNGPropertyList const & | getNumberingStyle () const
| returns the numbering style More...
librevenge::RVNGPropertyList & | getNumberingStyle ()
| returns the numbering style More...
void | setNumberingStyle (librevenge::RVNGPropertyList const &numberStyle)
| set the numbering style More...

## Static Public Member Functions
static std::string | getCellName (STOFFVec2i const &pos, STOFFVec2b const &absolute)
| return the name of a cell (given row and column) : 0,0 -> A1, 0,1 -> A2 More...
static std::string | getColumnName (int col)
| return the column name More...

## Protected Attributes
STOFFVec2i | m_position
| the cell row and column : 0,0 -> A1, 0,1 -> A2 More...
STOFFBox2f | m_bdBox
| the cell bounding box (unit in point) More...
STOFFVec2f | m_bdSize
| the cell bounding size : unit point More...
Format | m_format
| the cell format More...
STOFFFont | m_font
| the cell font More...
STOFFCellStyle | m_cellStyle
| the cell cell style More...
librevenge::RVNGPropertyList | m_numberingStyle
| the numbering style More...

## Friends
std::ostream & | operator<< (std::ostream &o, STOFFCell const &cell)
| operator<< More...

## Detailed Description

a structure used to define a cell and its format

## Member Enumeration Documentation

## ◆ FormatType

enum STOFFCell::FormatType

the different format of a cell's content

Enumerator
F_TEXT |
F_BOOLEAN |
F_NUMBER |
F_DATE |
F_TIME |
F_DATETIME |
F_UNKNOWN |

## ◆ NumberType

enum STOFFCell::NumberType

the different number format of a cell's content

Enumerator
F_NUMBER_CURRENCY |
F_NUMBER_DECIMAL |
F_NUMBER_FRACTION |
F_NUMBER_GENERIC |
F_NUMBER_SCIENTIFIC |
F_NUMBER_PERCENT |
F_NUMBER_UNKNOWN |

## Constructor & Destructor Documentation

## ◆ STOFFCell()

STOFFCell::STOFFCell | ( |  | ) |
| inline

constructor

## ◆ ~STOFFCell()

virtual STOFFCell::~STOFFCell | ( |  | ) |
| inlinevirtual

destructor

## Member Function Documentation

## ◆ addTo()

void STOFFCell::addTo | ( | librevenge::RVNGPropertyList & | propList | ) | const

adds to the propList

Referenced by STOFFSpreadsheetListener::openSheetCell(), STOFFTextListener::openTableCell(), STOFFGraphicListener::openTableCell(), and STOFFSpreadsheetListener::openTableCell().

## ◆ bdBox()

STOFFBox2f const& STOFFCell::bdBox | ( |  | ) | const
| inline

bdbox accessor

## ◆ bdSize()

STOFFVec2f const& STOFFCell::bdSize | ( |  | ) | const
| inline

bdbox size accessor

## ◆ getCellName()

std::string STOFFCell::getCellName | ( | STOFFVec2i const & | pos,
|  | STOFFVec2b const & | absolute
| ) |  |
| static

return the name of a cell (given row and column) : 0,0 -> A1, 0,1 -> A2

Referenced by operator<<().

## ◆ getCellStyle() [1/2]

STOFFCellStyle const& STOFFCell::getCellStyle | ( |  | ) | const
| inline

returns the cell style

Referenced by StarFormatManager::updateNumberingProperties().

## ◆ getCellStyle() [2/2]

STOFFCellStyle& STOFFCell::getCellStyle | ( |  | ) |
| inline

returns the cell style

## ◆ getColumnName()

std::string STOFFCell::getColumnName | ( | int | col | ) |
| static

return the column name

## ◆ getFont()

STOFFFont const& STOFFCell::getFont | ( |  | ) | const
| inline

returns the font

## ◆ getFormat()

Format const& STOFFCell::getFormat | ( |  | ) | const
| inline

returns the cell format

Referenced by STOFFSpreadsheetListener::openSheetCell(), StarFormatManager::updateNumberingProperties(), and StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties().

## ◆ getNumberingStyle() [1/2]

librevenge::RVNGPropertyList const& STOFFCell::getNumberingStyle | ( |  | ) | const
| inline

returns the numbering style

Referenced by STOFFSpreadsheetListener::openSheetCell(), StarFormatManager::updateNumberingProperties(), and StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties().

## ◆ getNumberingStyle() [2/2]

librevenge::RVNGPropertyList& STOFFCell::getNumberingStyle | ( |  | ) |
| inline

returns the numbering style

## ◆ position()

STOFFVec2i const& STOFFCell::position | ( |  | ) | const
| inline

position accessor

Referenced by addTo().

## ◆ send()

bool STOFFCell::send | ( | STOFFListenerPtr | listener,
|  | STOFFTable & | table
| ) |  |
| virtual

function called when a cell is send by STOFFTable to send a cell to a listener.

By default: calls openTableCell(*this), sendContent and then closeTableCell()

## ◆ sendContent()

bool STOFFCell::sendContent | ( | STOFFListenerPtr | listener,
|  | STOFFTable & | table
| ) |  |
| virtual

function called when the content of a cell must be send to the listener, ie.

when STOFFTable::sendTable or STOFFTable::sendAsText is called.

Note
  default behavior: does nothing and prints an error in debug mode.

Referenced by send().

## ◆ setBdBox()

void STOFFCell::setBdBox | ( | STOFFBox2f | box | ) |
| inline

set the bdbox (unit point)

## ◆ setBdSize()

void STOFFCell::setBdSize | ( | STOFFVec2f | sz | ) |
| inline

set the bdbox size(unit point)

## ◆ setCellStyle()

void STOFFCell::setCellStyle | ( | STOFFCellStyle const & | cellStyle | ) |
| inline

set the cell style

Referenced by StarTableInternal::TableBox::send(), and StarObjectSpreadsheet::sendCell().

## ◆ setFont()

void STOFFCell::setFont | ( | STOFFFont const & | font | ) |
| inline

set the font

Referenced by StarObjectSpreadsheet::sendCell().

## ◆ setFormat()

void STOFFCell::setFormat | ( | Format const & | format | ) |
| inline

set the cell format

Referenced by StarFormatManager::updateNumberingProperties(), and StarFormatManagerInternal::NumberFormatter::Format::updateNumberingProperties().

## ◆ setNumberingStyle()

void STOFFCell::setNumberingStyle | ( | librevenge::RVNGPropertyList const & | numberStyle | ) |
| inline

set the numbering style

## ◆ setPosition()

void STOFFCell::setPosition | ( | STOFFVec2i | posi | ) |
| inline

set the cell positions : 0,0 -> A1, 0,1 -> A2

Referenced by StarObjectSpreadsheetInternal::Cell::Cell(), StarTableInternal::TableBox::send(), and StarObjectSpreadsheet::sendRow().

## Friends And Related Function Documentation

## ◆ operator<<

std::ostream& operator<< | ( | std::ostream & | o,
|  | STOFFCell const & | cell
| ) |  |
| friend

operator<<

## Member Data Documentation

## ◆ m_bdBox

STOFFBox2f STOFFCell::m_bdBox
| protected

the cell bounding box (unit in point)

Referenced by bdBox(), operator<<(), and setBdBox().

## ◆ m_bdSize

STOFFVec2f STOFFCell::m_bdSize
| protected

the cell bounding size : unit point

Referenced by bdSize(), operator<<(), and setBdSize().

## ◆ m_cellStyle

STOFFCellStyle STOFFCell::m_cellStyle
| protected

the cell cell style

Referenced by addTo(), getCellStyle(), and setCellStyle().

## ◆ m_font

STOFFFont STOFFCell::m_font
| protected

the cell font

Referenced by addTo(), getFont(), and setFont().

## ◆ m_format

Format STOFFCell::m_format
| protected

the cell format

Referenced by getFormat(), STOFFCell::Format::getValueType(), operator<<(), and setFormat().

## ◆ m_numberingStyle

librevenge::RVNGPropertyList STOFFCell::m_numberingStyle
| protected

the numbering style

Referenced by getNumberingStyle(), and setNumberingStyle().

## ◆ m_position

STOFFVec2i STOFFCell::m_position
| protected

the cell row and column : 0,0 -> A1, 0,1 -> A2

Referenced by STOFFCellContent::FormulaInstruction::getPropertyList(), operator<<(), position(), and setPosition().

The documentation for this class was generated from the following files:

- STOFFCell.hxx
- STOFFCell.cxx